An archive of community.esquilo.io as of Saturday January 26, 2019.

Cannot call “date()” or “time()” with 0.5

rb1

I have a nut that was working in 0.3. I just updated to 0.5. Now the following call:

local d = date()

causes an error:

%%Runtime error [the index 'date' does not exist]

If a "requires" is now required, what library would I include?

rb1

Figured it out. It requires "system", not what I attempted, which was "SYSTEM".

In the online docs it is capitalized like GPIO and ADC.

Scott_Shumate

Thanks. We'll update the docs.